Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005744OCamlOCamldocpublic2012-08-28 05:022012-09-25 09:18
Reporterkhooyp 
Assigned Toguesdon 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version4.00.0 
Target Version4.00.1+devFixed in Version 
Summary0005744: Use of "val virtual" leads to "Class attribute ... was not found in typed tree."
DescriptionRunning ocamldoc on a class with a "val virtual" leads to an error:

% cat>foo.ml<<EOF
class virtual t = object val virtual x : int end
EOF
% ocamldoc foo.ml
Class attribute Foo.t.x was not found in typed tree.

TagsNo tags attached.
Attached Files

- Relationships
duplicate of 0005743closed Use of "val virtual" leads to "Class attribute ... was not found in typed tree." 

-  Notes
(0008158)
guesdon (manager)
2012-09-25 09:18

Fixed in version/4.00 branch (revision 12951) and trunk (revision 12952).

- Issue History
Date Modified Username Field Change
2012-08-28 05:02 khooyp New Issue
2012-08-28 05:02 khooyp Status new => assigned
2012-08-28 05:02 khooyp Assigned To => guesdon
2012-08-28 09:15 frisch Relationship added duplicate of 0005743
2012-09-06 16:41 doligez Target Version => 4.00.1+dev
2012-09-25 09:18 guesdon Note Added: 0008158
2012-09-25 09:18 guesdon Status assigned => closed
2012-09-25 09:18 guesdon Resolution open => fixed


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker